blob: d2103d28b05959ca98e3461e018aa34a428f3a47 [file] [log] [blame]
Tom Rini1a62a722019-06-19 09:25:17 -04001# SPDX-License-Identifier: GPL-2.0+
2
Peter Hoyes8b0b5012023-03-10 09:53:02 +00003variables:
4 DEFAULT_TAG: ""
5
6default:
7 tags:
8 - ${DEFAULT_TAG}
9
Joel Stanleycb735172022-08-23 16:18:26 +100010# Grab our configured image. The source for this is found
11# in the u-boot tree at tools/docker/Dockerfile
Tom Rinie3059db2023-03-21 15:31:19 -040012image: trini/u-boot-gitlab-ci-runner:jammy-20230308-21Mar2023
Tom Rini1a62a722019-06-19 09:25:17 -040013
14# We run some tests in different order, to catch some failures quicker.
15stages:
Tom Rini1a62a722019-06-19 09:25:17 -040016 - testsuites
Tom Rinib29cb052019-07-24 13:09:31 -040017 - test.py
Tom Rini1a62a722019-06-19 09:25:17 -040018 - world build
19
20.buildman_and_testpy_template: &buildman_and_testpy_dfn
Tom Rini1a62a722019-06-19 09:25:17 -040021 stage: test.py
22 before_script:
23 # Clone uboot-test-hooks
Tom Rinibd181a22022-11-21 12:52:40 -050024 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
Tom Rini85ae52b2021-02-24 17:05:04 -050025 - git clone --depth=1 https://source.denx.de/u-boot/u-boot-test-hooks /tmp/uboot-test-hooks
Tom Rini1a62a722019-06-19 09:25:17 -040026 - ln -s travis-ci /tmp/uboot-test-hooks/bin/`hostname`
27 - ln -s travis-ci /tmp/uboot-test-hooks/py/`hostname`
Tom Rini28a51232019-10-04 12:12:54 -040028 - grub-mkimage --prefix="" -o ~/grub_x86.efi -O i386-efi normal echo lsefimmap lsefi lsefisystab efinet tftp minicmd
29 - grub-mkimage --prefix="" -o ~/grub_x64.efi -O x86_64-efi normal echo lsefimmap lsefi lsefisystab efinet tftp minicmd
Bin Meng49fb28a2020-03-28 07:25:29 -070030 - if [[ "${TEST_PY_BD}" == "qemu-riscv32_spl" ]]; then
Heinrich Schuchardtb6b35fd2021-04-02 11:42:01 +020031 wget -O - https://github.com/riscv/opensbi/releases/download/v0.9/opensbi-0.9-rv-bin.tar.xz | tar -C /tmp -xJ;
32 export OPENSBI=/tmp/opensbi-0.9-rv-bin/share/opensbi/ilp32/generic/firmware/fw_dynamic.bin;
Bin Meng49fb28a2020-03-28 07:25:29 -070033 fi
Bin Meng0e60b3a2021-08-26 23:33:35 +080034 - if [[ "${TEST_PY_BD}" == "qemu-riscv64_spl" ]] || [[ "${TEST_PY_BD}" == "sifive_unleashed" ]]; then
Heinrich Schuchardtb6b35fd2021-04-02 11:42:01 +020035 wget -O - https://github.com/riscv/opensbi/releases/download/v0.9/opensbi-0.9-rv-bin.tar.xz | tar -C /tmp -xJ;
36 export OPENSBI=/tmp/opensbi-0.9-rv-bin/share/opensbi/lp64/generic/firmware/fw_dynamic.bin;
Bin Meng49fb28a2020-03-28 07:25:29 -070037 fi
Tom Rinib29cb052019-07-24 13:09:31 -040038
Tom Rini1a62a722019-06-19 09:25:17 -040039 after_script:
Marek Vasute5670732023-03-03 02:22:25 +010040 - cp -v /tmp/${TEST_PY_BD}/*.{html,css} .
Heinrich Schuchardt24df1b12019-12-19 13:30:32 +010041 - rm -rf /tmp/uboot-test-hooks /tmp/venv
Tom Rini1a62a722019-06-19 09:25:17 -040042 script:
Simon Glassdd5c9542020-03-18 09:42:57 -060043 # If we've been asked to use clang only do one configuration.
Simon Glass4e32fed2020-03-18 09:42:55 -060044 - export UBOOT_TRAVIS_BUILD_DIR=/tmp/${TEST_PY_BD}
Simon Glass1aa168c2022-08-03 12:13:09 -060045 - echo BUILD_ENV ${BUILD_ENV}
Simon Glass9cea4792023-01-15 14:16:00 -070046 - if [ -n "${BUILD_ENV}" ]; then
47 export ${BUILD_ENV};
48 fi
Simon Glass7ec12552020-03-18 09:43:00 -060049 - tools/buildman/buildman -o ${UBOOT_TRAVIS_BUILD_DIR} -w -E -W -e
50 --board ${TEST_PY_BD} ${OVERRIDE}
Heinrich Schuchardt82560ae2020-07-14 00:23:58 +020051 - cp ~/grub_x86.efi $UBOOT_TRAVIS_BUILD_DIR/
52 - cp ~/grub_x64.efi $UBOOT_TRAVIS_BUILD_DIR/
53 - cp /opt/grub/grubriscv64.efi $UBOOT_TRAVIS_BUILD_DIR/grub_riscv64.efi
Heinrich Schuchardt82560ae2020-07-14 00:23:58 +020054 - cp /opt/grub/grubaa64.efi $UBOOT_TRAVIS_BUILD_DIR/grub_arm64.efi
55 - cp /opt/grub/grubarm.efi $UBOOT_TRAVIS_BUILD_DIR/grub_arm.efi
Bin Meng0e60b3a2021-08-26 23:33:35 +080056 # create sdcard / spi-nor images for sifive unleashed using genimage
57 - if [[ "${TEST_PY_BD}" == "sifive_unleashed" ]]; then
58 mkdir -p root;
59 cp ${UBOOT_TRAVIS_BUILD_DIR}/spl/u-boot-spl.bin .;
60 cp ${UBOOT_TRAVIS_BUILD_DIR}/u-boot.itb .;
61 rm -rf tmp;
62 genimage --inputpath . --config board/sifive/unleashed/genimage_sdcard.cfg;
63 cp images/sdcard.img ${UBOOT_TRAVIS_BUILD_DIR}/;
64 rm -rf tmp;
65 genimage --inputpath . --config board/sifive/unleashed/genimage_spi-nor.cfg;
66 cp images/spi-nor.img ${UBOOT_TRAVIS_BUILD_DIR}/;
67 fi
Simon Glassbfb2a7f2022-01-21 10:23:01 -070068 - if [[ "${TEST_PY_BD}" == "coreboot" ]]; then
69 wget -O -
70 "https://drive.google.com/uc?id=1x6nrtWIyIRPLS2cQBwYTnT2TbOI8UjmM&export=download" |
71 xz -dc >${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom;
72 wget -O -
73 "https://drive.google.com/uc?id=149Cz-5SZXHNKpi9xg6R_5XITWohu348y&export=download" >
74 cbfstool;
75 chmod a+x cbfstool;
76 ./cbfstool ${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom add-flat-binary -f ${UBOOT_TRAVIS_BUILD_DIR}/u-boot.bin -n fallback/payload -c LZMA -l 0x1110000 -e 0x1110000;
77 fi
Tom Rini085b8972019-10-24 11:59:27 -040078 - virtualenv -p /usr/bin/python3 /tmp/venv
79 - . /tmp/venv/bin/activate
80 - pip install -r test/py/requirements.txt
Simon Glass4080d092020-03-18 09:42:56 -060081 # "${var:+"-k $var"}" expands to "" if $var is empty, "-k $var" if not
Simon Glass4e32fed2020-03-18 09:42:55 -060082 - export PATH=/opt/qemu/bin:/tmp/uboot-test-hooks/bin:${PATH};
Tom Rini1a62a722019-06-19 09:25:17 -040083 export PYTHONPATH=/tmp/uboot-test-hooks/py/travis-ci;
Heinrich Schuchardtf3092472020-07-10 22:04:40 +020084 ./test/py/test.py -ra --bd ${TEST_PY_BD} ${TEST_PY_ID}
Simon Glass4080d092020-03-18 09:42:56 -060085 ${TEST_PY_TEST_SPEC:+"-k ${TEST_PY_TEST_SPEC}"}
Simon Glasscec1e852020-03-18 09:42:59 -060086 --build-dir "$UBOOT_TRAVIS_BUILD_DIR"
Marek Vasute5670732023-03-03 02:22:25 +010087 artifacts:
88 when: always
89 paths:
90 - "*.html"
91 - "*.css"
92 expire_in: 1 week
Tom Rini1a62a722019-06-19 09:25:17 -040093
Heinrich Schuchardta11cb572019-10-06 12:26:16 +020094build all 32bit ARM platforms:
Tom Rini1a62a722019-06-19 09:25:17 -040095 stage: world build
96 script:
97 - ret=0;
Tom Rinibd181a22022-11-21 12:52:40 -050098 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rinid7713ad2022-11-09 19:14:53 -070099 ./tools/buildman/buildman -o /tmp -PEWM arm -x aarch64 || ret=$?;
Simon Glassdd5c9542020-03-18 09:42:57 -0600100 if [[ $ret -ne 0 ]]; then
Simon Glassb52f5a12020-03-18 09:42:53 -0600101 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini4c749972019-10-24 11:59:16 -0400102 exit $ret;
103 fi;
Tom Rini9f7bda12019-07-17 17:51:28 -0400104
Heinrich Schuchardta11cb572019-10-06 12:26:16 +0200105build all 64bit ARM platforms:
Tom Rini9f7bda12019-07-17 17:51:28 -0400106 stage: world build
107 script:
Tom Rini26a426a2020-02-11 12:41:14 -0500108 - virtualenv -p /usr/bin/python3 /tmp/venv
Tom Rinif0db8392019-07-18 07:28:36 -0400109 - . /tmp/venv/bin/activate
Tom Rini9f7bda12019-07-17 17:51:28 -0400110 - ret=0;
Tom Rinibd181a22022-11-21 12:52:40 -0500111 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rinid7713ad2022-11-09 19:14:53 -0700112 ./tools/buildman/buildman -o /tmp -PEWM aarch64 || ret=$?;
Simon Glassdd5c9542020-03-18 09:42:57 -0600113 if [[ $ret -ne 0 ]]; then
Simon Glassb52f5a12020-03-18 09:42:53 -0600114 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini4c749972019-10-24 11:59:16 -0400115 exit $ret;
116 fi;
Tom Rini9f7bda12019-07-17 17:51:28 -0400117
Heinrich Schuchardta11cb572019-10-06 12:26:16 +0200118build all PowerPC platforms:
Tom Rini9f7bda12019-07-17 17:51:28 -0400119 stage: world build
120 script:
121 - ret=0;
Tom Rinibd181a22022-11-21 12:52:40 -0500122 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Simon Glassdd5c9542020-03-18 09:42:57 -0600123 ./tools/buildman/buildman -o /tmp -P -E -W powerpc || ret=$?;
124 if [[ $ret -ne 0 ]]; then
Simon Glassb52f5a12020-03-18 09:42:53 -0600125 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini4c749972019-10-24 11:59:16 -0400126 exit $ret;
127 fi;
Tom Rini9f7bda12019-07-17 17:51:28 -0400128
Heinrich Schuchardta11cb572019-10-06 12:26:16 +0200129build all other platforms:
Tom Rini9f7bda12019-07-17 17:51:28 -0400130 stage: world build
131 script:
132 - ret=0;
Tom Rinibd181a22022-11-21 12:52:40 -0500133 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rinid7713ad2022-11-09 19:14:53 -0700134 ./tools/buildman/buildman -o /tmp -PEWM -x arm,powerpc || ret=$?;
Simon Glassdd5c9542020-03-18 09:42:57 -0600135 if [[ $ret -ne 0 ]]; then
Simon Glassb52f5a12020-03-18 09:42:53 -0600136 ./tools/buildman/buildman -o /tmp -seP;
Tom Rini4c749972019-10-24 11:59:16 -0400137 exit $ret;
138 fi;
Tom Rini1a62a722019-06-19 09:25:17 -0400139
Tom Rinibb9b9c12022-12-04 10:14:15 -0500140check for new CONFIG symbols outside Kconfig:
Tom Rinic1a7de52021-12-14 13:36:41 -0500141 stage: testsuites
142 script:
Tom Rinibb9b9c12022-12-04 10:14:15 -0500143 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
144 # If grep succeeds and finds a match the test fails as we should
145 # have no matches.
146 - git grep -E '^#[[:blank:]]*(define|undef)[[:blank:]]*CONFIG_'
Tom Rinia03efb62023-01-10 11:19:46 -0500147 :^doc/ :^arch/arm/dts/ :^scripts/kconfig/lkc.h
148 :^include/linux/kconfig.h :^tools/ && exit 1 || exit 0
Tom Rinic1a7de52021-12-14 13:36:41 -0500149
Tom Rini1a62a722019-06-19 09:25:17 -0400150# QA jobs for code analytics
151# static code analysis with cppcheck (we can add --enable=all later)
152cppcheck:
Tom Rini1a62a722019-06-19 09:25:17 -0400153 stage: testsuites
154 script:
Simon Glass4ee7f522020-04-05 14:35:43 -0600155 - cppcheck -j$(nproc) --force --quiet --inline-suppr .
Tom Rini1a62a722019-06-19 09:25:17 -0400156
157# search for TODO within source tree
158grep TODO/FIXME/HACK:
Tom Rini1a62a722019-06-19 09:25:17 -0400159 stage: testsuites
160 script:
161 - grep -r TODO .
162 - grep -r FIXME .
163 # search for HACK within source tree and ignore HACKKIT board
164 - grep -r HACK . | grep -v HACKKIT
165
Heinrich Schuchardte9cc7022023-01-12 20:30:58 +0100166# build documentation
167docs:
Heinrich Schuchardt3eb7b782020-02-21 18:24:01 +0100168 stage: testsuites
169 script:
Heinrich Schuchardt836049d2021-01-25 22:06:25 +0100170 - virtualenv -p /usr/bin/python3 /tmp/venvhtml
171 - . /tmp/venvhtml/bin/activate
172 - pip install -r doc/sphinx/requirements.txt
Heinrich Schuchardt3eb7b782020-02-21 18:24:01 +0100173 - make htmldocs
Heinrich Schuchardte9cc7022023-01-12 20:30:58 +0100174 - make infodocs
Heinrich Schuchardt3eb7b782020-02-21 18:24:01 +0100175
Tom Rini1a62a722019-06-19 09:25:17 -0400176# some statistics about the code base
177sloccount:
Tom Rini1a62a722019-06-19 09:25:17 -0400178 stage: testsuites
179 script:
180 - sloccount .
181
182# ensure all configs have MAINTAINERS entries
183Check for configs without MAINTAINERS entry:
Tom Rini1a62a722019-06-19 09:25:17 -0400184 stage: testsuites
185 script:
Simon Glass7ae8a522022-07-11 19:04:09 -0600186 - ./tools/buildman/buildman -R
Tom Rini1a62a722019-06-19 09:25:17 -0400187
188# Ensure host tools build
189Build tools-only:
Tom Rini1a62a722019-06-19 09:25:17 -0400190 stage: testsuites
191 script:
192 - make tools-only_config tools-only -j$(nproc)
193
Pierre-Jean Texier1f3910d2019-08-26 13:06:18 +0200194# Ensure env tools build
195Build envtools:
Pierre-Jean Texier1f3910d2019-08-26 13:06:18 +0200196 stage: testsuites
197 script:
198 - make tools-only_config envtools -j$(nproc)
199
Tom Rini72618332020-03-11 18:11:15 -0400200Run binman, buildman, dtoc, Kconfig and patman testsuites:
Tom Rini1a62a722019-06-19 09:25:17 -0400201 stage: testsuites
202 script:
Tom Rinid7ae9322019-08-12 10:09:08 -0400203 - git config --global user.name "GitLab CI Runner";
204 git config --global user.email trini@konsulko.com;
Tom Rinib6d4e082022-08-09 21:08:54 -0400205 git config --global --add safe.directory "${CI_PROJECT_DIR}";
Tom Rinid7ae9322019-08-12 10:09:08 -0400206 export USER=gitlab;
Tom Rini26a426a2020-02-11 12:41:14 -0500207 virtualenv -p /usr/bin/python3 /tmp/venv;
Tom Rinid7ae9322019-08-12 10:09:08 -0400208 . /tmp/venv/bin/activate;
Tom Rini38229b52021-02-26 07:52:29 -0500209 pip install -r test/py/requirements.txt;
Simon Glassbf0a8132020-03-18 09:42:50 -0600210 export UBOOT_TRAVIS_BUILD_DIR=/tmp/sandbox_spl;
Tom Rinid7ae9322019-08-12 10:09:08 -0400211 export PYTHONPATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc/pylibfdt";
212 export PATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc:${PATH}";
Tom Rinib6d4e082022-08-09 21:08:54 -0400213 set +e;
Simon Glass6c914e42021-03-15 17:25:34 +1300214 ./tools/buildman/buildman -T0 -o ${UBOOT_TRAVIS_BUILD_DIR} -w
215 --board sandbox_spl;
Tom Rinib6d4e082022-08-09 21:08:54 -0400216 set -e;
Tom Rinid7ae9322019-08-12 10:09:08 -0400217 ./tools/binman/binman --toolpath ${UBOOT_TRAVIS_BUILD_DIR}/tools test;
218 ./tools/buildman/buildman -t;
219 ./tools/dtoc/dtoc -t;
Simon Glass6bb74de2020-07-05 21:41:55 -0600220 ./tools/patman/patman test;
Tom Rini72618332020-03-11 18:11:15 -0400221 make testconfig
Tom Rini1a62a722019-06-19 09:25:17 -0400222
Pali Rohár6cfd09d2020-05-17 14:38:22 +0200223Run tests for Nokia RX-51 (aka N900):
Pali Rohár6cfd09d2020-05-17 14:38:22 +0200224 stage: testsuites
225 script:
Pali Rohárce0f7452023-02-21 11:22:29 -0500226 - mkdir nokia_rx51_tmp;
227 ln -s /opt/nokia/u-boot-gen-combined nokia_rx51_tmp/;
228 ln -s /opt/nokia/qemu-n900.tar.gz nokia_rx51_tmp/;
229 ln -s /opt/nokia/kernel_2.6.28-20103103+0m5_armel.deb nokia_rx51_tmp/;
230 ln -s /opt/nokia/libc6_2.5.1-1eglibc27+0m5_armel.deb nokia_rx51_tmp/;
231 ln -s /opt/nokia/busybox_1.10.2.legal-1osso30+0m5_armel.deb nokia_rx51_tmp/;
232 ln -s /opt/nokia/qemu-system-arm nokia_rx51_tmp/;
233 export PATH=/opt/gcc-12.2.0-nolibc/arm-linux-gnueabi/bin:$PATH;
Pali Rohár6cfd09d2020-05-17 14:38:22 +0200234 test/nokia_rx51_test.sh
235
Simon Glass642e51a2022-02-11 13:23:26 -0700236# Check for any pylint regressions
237Run pylint:
238 stage: testsuites
239 script:
Tom Rinib6d4e082022-08-09 21:08:54 -0400240 - git config --global --add safe.directory "${CI_PROJECT_DIR}"
Simon Glass642e51a2022-02-11 13:23:26 -0700241 - pip install -r test/py/requirements.txt
Tom Rinie47bbf72022-03-25 08:19:09 -0400242 - pip install asteval pylint==2.12.2 pyopenssl
Simon Glass642e51a2022-02-11 13:23:26 -0700243 - export PATH=${PATH}:~/.local/bin
244 - echo "[MASTER]" >> .pylintrc
245 - echo "load-plugins=pylint.extensions.docparams" >> .pylintrc
246 - export UBOOT_TRAVIS_BUILD_DIR=/tmp/sandbox_spl
Tom Rinib6d4e082022-08-09 21:08:54 -0400247 - set +e
Simon Glass642e51a2022-02-11 13:23:26 -0700248 - ./tools/buildman/buildman -T0 -o ${UBOOT_TRAVIS_BUILD_DIR} -w
249 --board sandbox_spl
Tom Rinib6d4e082022-08-09 21:08:54 -0400250 - set -e
Simon Glass642e51a2022-02-11 13:23:26 -0700251 - pylint --version
252 - export PYTHONPATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc/pylibfdt"
253 - make pylint_err
254
Simon Glass441a3d02023-02-13 08:56:39 -0700255# Check for pre-schema driver model tags
256Check for pre-schema tags:
257 stage: testsuites
258 script:
259 - git config --global --add safe.directory "${CI_PROJECT_DIR}";
260 # If grep succeeds and finds a match the test fails as we should
261 # have no matches.
262 - git grep u-boot,dm- -- '*.dts*' && exit 1 || exit 0
263
Simon Glassc21a5282023-02-23 18:18:24 -0700264# Check we can package the Python tools
265Check packing of Python tools:
266 stage: testsuites
267 script:
268 - make pip
269
Tom Rini1a62a722019-06-19 09:25:17 -0400270# Test sandbox with test.py
271sandbox test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400272 variables:
273 TEST_PY_BD: "sandbox"
Tom Rini1a62a722019-06-19 09:25:17 -0400274 <<: *buildman_and_testpy_dfn
275
Tom Rini0219d012019-11-06 19:30:47 -0500276sandbox with clang test.py:
Tom Rini0219d012019-11-06 19:30:47 -0500277 variables:
278 TEST_PY_BD: "sandbox"
Tom Rini09ed7e62022-11-22 12:31:58 -0500279 OVERRIDE: "-O clang-14"
Tom Rini0219d012019-11-06 19:30:47 -0500280 <<: *buildman_and_testpy_dfn
281
Simon Glass1aa168c2022-08-03 12:13:09 -0600282sandbox without LTO test.py:
283 variables:
284 TEST_PY_BD: "sandbox"
285 BUILD_ENV: "NO_LTO=1"
286 <<: *buildman_and_testpy_dfn
287
Tom Rini1a62a722019-06-19 09:25:17 -0400288sandbox_spl test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400289 variables:
290 TEST_PY_BD: "sandbox_spl"
Simon Glassafb26ba2020-10-25 20:38:36 -0600291 TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl"
Tom Rini1a62a722019-06-19 09:25:17 -0400292 <<: *buildman_and_testpy_dfn
293
Simon Glass6c914e42021-03-15 17:25:34 +1300294sandbox_noinst_test.py:
Simon Glass6c914e42021-03-15 17:25:34 +1300295 variables:
296 TEST_PY_BD: "sandbox_noinst"
297 TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl"
298 <<: *buildman_and_testpy_dfn
299
Simon Glassa31eff32022-04-30 00:56:57 -0600300sandbox_vpl test.py:
301 variables:
302 TEST_PY_BD: "sandbox_vpl"
303 TEST_PY_TEST_SPEC: "test_vpl_help or test_spl"
304 <<: *buildman_and_testpy_dfn
305
Simon Glass9cea4792023-01-15 14:16:00 -0700306# Enable tracing and disable LTO, to ensure functions are not elided
307sandbox trace_test.py:
308 variables:
309 TEST_PY_BD: "sandbox"
310 BUILD_ENV: "FTRACE=1 NO_LTO=1"
311 TEST_PY_TEST_SPEC: "trace"
312 OVERRIDE: "-a CONFIG_TRACE=y -a CONFIG_TRACE_EARLY=y -a CONFIG_TRACE_EARLY_SIZE=0x01000000"
313 <<: *buildman_and_testpy_dfn
314
Tom Rini699c0b92019-07-17 16:06:57 -0400315evb-ast2500 test.py:
Tom Rini699c0b92019-07-17 16:06:57 -0400316 variables:
317 TEST_PY_BD: "evb-ast2500"
318 TEST_PY_ID: "--id qemu"
Tom Rini699c0b92019-07-17 16:06:57 -0400319 <<: *buildman_and_testpy_dfn
320
Joel Stanleyb24087a2022-06-29 16:35:25 +0930321evb-ast2600 test.py:
322 variables:
323 TEST_PY_BD: "evb-ast2600"
324 TEST_PY_ID: "--id qemu"
325 <<: *buildman_and_testpy_dfn
326
Tom Rini1a62a722019-06-19 09:25:17 -0400327sandbox_flattree test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400328 variables:
329 TEST_PY_BD: "sandbox_flattree"
Tom Rini1a62a722019-06-19 09:25:17 -0400330 <<: *buildman_and_testpy_dfn
331
Kristian Amlie15e30102021-09-07 08:37:51 +0200332vexpress_ca9x4 test.py:
333 variables:
334 TEST_PY_BD: "vexpress_ca9x4"
335 TEST_PY_ID: "--id qemu"
336 <<: *buildman_and_testpy_dfn
337
Tom Rini1a62a722019-06-19 09:25:17 -0400338integratorcp_cm926ejs test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400339 variables:
340 TEST_PY_BD: "integratorcp_cm926ejs"
341 TEST_PY_TEST_SPEC: "not sleep"
342 TEST_PY_ID: "--id qemu"
Tom Rini1a62a722019-06-19 09:25:17 -0400343 <<: *buildman_and_testpy_dfn
344
345qemu_arm test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400346 variables:
347 TEST_PY_BD: "qemu_arm"
348 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400349 <<: *buildman_and_testpy_dfn
350
351qemu_arm64 test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400352 variables:
353 TEST_PY_BD: "qemu_arm64"
354 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400355 <<: *buildman_and_testpy_dfn
356
Daniel Schwierzeckd8533162020-06-06 22:21:47 +0200357qemu_malta test.py:
Daniel Schwierzeckd8533162020-06-06 22:21:47 +0200358 variables:
359 TEST_PY_BD: "malta"
360 TEST_PY_TEST_SPEC: "not sleep and not efi"
361 TEST_PY_ID: "--id qemu"
362 <<: *buildman_and_testpy_dfn
363
364qemu_maltael test.py:
Daniel Schwierzeckd8533162020-06-06 22:21:47 +0200365 variables:
366 TEST_PY_BD: "maltael"
367 TEST_PY_TEST_SPEC: "not sleep and not efi"
368 TEST_PY_ID: "--id qemu"
369 <<: *buildman_and_testpy_dfn
370
371qemu_malta64 test.py:
Daniel Schwierzeckd8533162020-06-06 22:21:47 +0200372 variables:
373 TEST_PY_BD: "malta64"
374 TEST_PY_TEST_SPEC: "not sleep and not efi"
375 TEST_PY_ID: "--id qemu"
376 <<: *buildman_and_testpy_dfn
377
378qemu_malta64el test.py:
Daniel Schwierzeckd8533162020-06-06 22:21:47 +0200379 variables:
380 TEST_PY_BD: "malta64el"
381 TEST_PY_TEST_SPEC: "not sleep and not efi"
382 TEST_PY_ID: "--id qemu"
383 <<: *buildman_and_testpy_dfn
384
Tom Rini1a62a722019-06-19 09:25:17 -0400385qemu-ppce500 test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400386 variables:
387 TEST_PY_BD: "qemu-ppce500"
388 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400389 <<: *buildman_and_testpy_dfn
390
Bin Menga379d332020-03-28 07:25:27 -0700391qemu-riscv32 test.py:
Bin Menga379d332020-03-28 07:25:27 -0700392 variables:
393 TEST_PY_BD: "qemu-riscv32"
394 TEST_PY_TEST_SPEC: "not sleep"
Bin Menga379d332020-03-28 07:25:27 -0700395 <<: *buildman_and_testpy_dfn
396
Tom Rini7298d822019-08-02 11:32:37 -0400397qemu-riscv64 test.py:
Tom Rini7298d822019-08-02 11:32:37 -0400398 variables:
399 TEST_PY_BD: "qemu-riscv64"
400 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini7298d822019-08-02 11:32:37 -0400401 <<: *buildman_and_testpy_dfn
402
Bin Meng49fb28a2020-03-28 07:25:29 -0700403qemu-riscv32_spl test.py:
Bin Meng49fb28a2020-03-28 07:25:29 -0700404 variables:
405 TEST_PY_BD: "qemu-riscv32_spl"
406 TEST_PY_TEST_SPEC: "not sleep"
Bin Meng49fb28a2020-03-28 07:25:29 -0700407 <<: *buildman_and_testpy_dfn
408
409qemu-riscv64_spl test.py:
Bin Meng49fb28a2020-03-28 07:25:29 -0700410 variables:
411 TEST_PY_BD: "qemu-riscv64_spl"
412 TEST_PY_TEST_SPEC: "not sleep"
Bin Meng49fb28a2020-03-28 07:25:29 -0700413 <<: *buildman_and_testpy_dfn
414
Tom Rini1a62a722019-06-19 09:25:17 -0400415qemu-x86 test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400416 variables:
417 TEST_PY_BD: "qemu-x86"
418 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400419 <<: *buildman_and_testpy_dfn
420
421qemu-x86_64 test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400422 variables:
423 TEST_PY_BD: "qemu-x86_64"
424 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400425 <<: *buildman_and_testpy_dfn
426
Marek Vasut0e125752020-09-14 21:55:58 +0200427r2dplus_i82557c test.py:
Marek Vasut0e125752020-09-14 21:55:58 +0200428 variables:
429 TEST_PY_BD: "r2dplus"
430 TEST_PY_ID: "--id i82557c_qemu"
431 <<: *buildman_and_testpy_dfn
432
433r2dplus_pcnet test.py:
Marek Vasut0e125752020-09-14 21:55:58 +0200434 variables:
435 TEST_PY_BD: "r2dplus"
436 TEST_PY_ID: "--id pcnet_qemu"
437 <<: *buildman_and_testpy_dfn
438
439r2dplus_rtl8139 test.py:
Marek Vasut0e125752020-09-14 21:55:58 +0200440 variables:
441 TEST_PY_BD: "r2dplus"
442 TEST_PY_ID: "--id rtl8139_qemu"
443 <<: *buildman_and_testpy_dfn
444
445r2dplus_tulip test.py:
Marek Vasut0e125752020-09-14 21:55:58 +0200446 variables:
447 TEST_PY_BD: "r2dplus"
448 TEST_PY_ID: "--id tulip_qemu"
449 <<: *buildman_and_testpy_dfn
450
Bin Meng0e60b3a2021-08-26 23:33:35 +0800451sifive_unleashed_sdcard test.py:
452 variables:
453 TEST_PY_BD: "sifive_unleashed"
454 TEST_PY_ID: "--id sdcard_qemu"
455 <<: *buildman_and_testpy_dfn
456
457sifive_unleashed_spi-nor test.py:
458 variables:
459 TEST_PY_BD: "sifive_unleashed"
460 TEST_PY_ID: "--id spi-nor_qemu"
461 <<: *buildman_and_testpy_dfn
462
Michal Simekf7c6ee72020-02-13 15:03:29 +0100463xilinx_zynq_virt test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400464 variables:
Michal Simekf7c6ee72020-02-13 15:03:29 +0100465 TEST_PY_BD: "xilinx_zynq_virt"
Tom Rini1a62a722019-06-19 09:25:17 -0400466 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400467 TEST_PY_ID: "--id qemu"
Tom Rini1a62a722019-06-19 09:25:17 -0400468 <<: *buildman_and_testpy_dfn
469
470xilinx_versal_virt test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400471 variables:
472 TEST_PY_BD: "xilinx_versal_virt"
473 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400474 TEST_PY_ID: "--id qemu"
Tom Rini1a62a722019-06-19 09:25:17 -0400475 <<: *buildman_and_testpy_dfn
476
477xtfpga test.py:
Tom Rini1a62a722019-06-19 09:25:17 -0400478 variables:
479 TEST_PY_BD: "xtfpga"
480 TEST_PY_TEST_SPEC: "not sleep"
Tom Rini1a62a722019-06-19 09:25:17 -0400481 TEST_PY_ID: "--id qemu"
Tom Rini1a62a722019-06-19 09:25:17 -0400482 <<: *buildman_and_testpy_dfn
Simon Glassbfb2a7f2022-01-21 10:23:01 -0700483
484coreboot test.py:
485 variables:
486 TEST_PY_BD: "coreboot"
487 TEST_PY_TEST_SPEC: "not sleep"
488 TEST_PY_ID: "--id qemu"
Simon Glassbfb2a7f2022-01-21 10:23:01 -0700489 <<: *buildman_and_testpy_dfn